Discovered Datasets

Soda Cloud API Discovered Dataset Endpoints

Discovered datasets

get
/api/v1/discoveredDatasets

This endpoint enables you to list datasets that Soda has discovered in your data sources. Discovered datasets are datasets that have been found during a discovery scan but may not yet be onboarded.

This GET is a paginated API that uses the following parameters to request specific details:

  • size: Supply an integer value between 1 and 1000, inclusive. The default value is 10.

  • page: Supply an integer value. The default value is 0.

  • datasourceId: Optionally, use this parameter to collect only the discovered datasets associated with a specific data source.

  • search: Optionally, use this parameter to perform a search on the dataset name.

Authentication

User authentication required: true

This endpoint enforces authentication using the API keys you provide in the Basic authentication header.

Authorization

Any Soda Cloud user in your organization may execute this query.

Tags

Discovered Datasets

Rate limiting

10 requests/60 seconds

Authorizations
AuthorizationstringRequired
Query parameters
datasourceIdstringOptional
pageinteger · int32Optional
searchstringOptional
sizeinteger · int32Optional
Responses
get
/api/v1/discoveredDatasets

Last updated

Was this helpful?